Bug 249367 - dns/knot2: upgrade to 2.9.7 + grace period
Summary: dns/knot2: upgrade to 2.9.7 + grace period
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://www.knot-dns.cz/2020-10-09-ve...
Keywords:
Depends on: 249366
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-16 10:44 UTC by Leo Vandewoestijne
Modified: 2020-12-15 18:40 UTC (History)
4 users (show)

See Also:
freebsd: maintainer-feedback+


Attachments
delete knot2 (12.84 KB, patch)
2020-09-16 10:44 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff
knot 2.9.7 (1.12 KB, patch)
2020-12-15 09:08 UTC, Leo Vandewoestijne
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2020-09-16 10:44:20 UTC
Created attachment 218002 [details]
delete knot2

After dns/knot2-lib is deleted the port dns/knot2 can also be removed.
Comment 1 Kurt Jaeger freebsd_committer 2020-10-04 11:14:39 UTC
Is there any possibility that some knot2 config can not run under knot3 ?

Should knot2 be kept at least for a while (mabye with DEPRECATED and EXPIRE) ?
Comment 2 Leo Vandewoestijne 2020-10-06 08:44:48 UTC
From my own experience I saw an obsolete option just generate a non-blocking warning at validation at startup.

The page https://www.knot-dns.cz/docs/3.0/html/migration.html#upgrade-2-9-x-to-3-0-x states: "Knot DNS version 3.0.x is functionally compatible with 2.9.x.".

So I don't think "cooling down" with DEPRECATED or EXPIRE is needed, but I wouldn't mind having that for a while. But the software will be unmaintained.


What would be nice however, would be something like in Perl5, when you update say perl5-5.26 you automatically get perl5-5.32, but I don't know how and where that's managed.
Comment 3 Danilo G. Baio freebsd_committer 2020-11-02 14:44:33 UTC
There is a new 2.X version upstream:
https://www.knot-dns.cz/2020-10-09-version-297.html

What about update it and mark as deprecated and set an expiry date for two or three months?

Because it seems they will still be maintaining it for a while.
https://www.knot-dns.cz/download/
"Since then, it doesn't receive new features or enhancements anymore, but it receives all important fixes. It lacks the latest features, but it's more time-proven."
Comment 4 Kurt Jaeger freebsd_committer 2020-11-02 15:19:49 UTC
Like this ?

DEPRECATED=     Use knot3, it is functionally compatible with 2.9.x
EXPIRATION_DATE=2021-02-28
Comment 5 Leo Vandewoestijne 2020-11-03 12:00:01 UTC
(In reply to Danilo G. Baio from comment #3)

> Because it seems they will still be maintaining it for a while.
>
I have to admit that I didn't comprehend that from the announcements, but understood the moment 2.9.7 was released.

I guess I best upgrade the dns/knot2 port AND use these two lines Kurt suggested.
Comment 6 Evilham 2020-12-02 12:13:18 UTC
Hey!

Running knot2 on FreeBSD for an associative ISP here.

AIUI from knot-dns.cz:

> This branch is what used to be Current Stable Branch until it had been replaced by a new Current Stable Branch. Since then, it doesn't receive new features or enhancements anymore, but it receives all important fixes. It lacks the latest features, but it's more time-proven.

Basically: the Previous Stable Branch (2.9.X) is roughly equivalent to FreeBSD STABLE and the Current Stable Branch (3.0.X) is roughly equivalent to FreeBSD RELEASE.

Configuration is supposed to be mostly compatible, except for a change of default in synthrecords and some behaviour change in ACL which likely doesn't affect many users:
https://www.knot-dns.cz/docs/3.0/singlehtml/#upgrade-2-9-x-to-3-0-x


Basically: 2.X is supported and, while migration should be easy, there is little reward in forcing such a migration because 3.X has been released.
Comment 7 Leo Vandewoestijne 2020-12-15 09:08:52 UTC
Created attachment 220573 [details]
knot 2.9.7

meanwhile 2.9.7 is already out since a while.
I made attached patch to update the port, including Kurt's suggestion, adding the grace period.

Tested successful in poudriere (but against 12.1 / amd64 only).
Comment 8 Chris Hutchinson 2020-12-15 16:42:55 UTC
I've been on the knot mailing lists for years. As we
use knot extensively.
FWIW
Hello Knot DNS users,

CZ.NIC has released Knot DNS 3.0.3 and Knot DNS 2.9.8!

These updates are recommended for users with on-slave DNSSEC signing deployments.

Ubuntu/Debian packages of 3.0.3 version no longer link against jemalloc memory allocator.
Because new versions of Knot DNS behave better with the default memory allocator.

Changelogs:
https://gitlab.labs.nic.cz/knot/knot-dns/raw/v3.0.3/NEWS
https://gitlab.labs.nic.cz/knot/knot-dns/raw/v2.9.8/NEWS

Download:
https://www.knot-dns.cz/download/

Documentation:
https://www.knot-dns.cz/documentation/

Support:
https://www.knot-dns.cz/support

Donation:
https://donations.nic.cz/donate/?project=knot-dns

Regards,
Daniel
Comment 9 Kurt Jaeger freebsd_committer 2020-12-15 17:13:56 UTC
thanks for the patch, will work on it (and updating it to 2.9.8, which is
probably only a minor change).
Comment 10 Kurt Jaeger freebsd_committer 2020-12-15 18:40:21 UTC
Committed, thanks!
Comment 11 commit-hook freebsd_committer 2020-12-15 18:40:58 UTC
A commit references this bug:

Author: pi
Date: Tue Dec 15 18:40:19 UTC 2020
New revision: 558171
URL: https://svnweb.freebsd.org/changeset/ports/558171

Log:
  dns/knot2: upgrade to 2.9.8 and add deprecation advice to use knot3.x

  PR:		249367
  Submitted by:	Leo Vandewoestijne <freebsd@dns.company> (maintainer)
  Reviewed by:	Chris Hutchinson <portmaster@bsdforge.com>
  Relnotes:	https://www.knot-dns.cz/2020-10-09-version-297.html
  		https://www.knot-dns.cz/2020-12-14-version-298.html

Changes:
  head/dns/knot2/Makefile
  head/dns/knot2/distinfo